LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### compute temp/dipole command

Syntax:

    compute ID group-ID temp/dipole

- ID, group-ID are documented in compute command
- temp/dipole = style name of this compute command

Examples:

    compute 1 all temp/dipole
    compute myTemp mobile temp/dipole

Description:

Define a computation that calculates the temperature of a group of particles that include a point dipole. The computation is similar to compute_temp, however, additional degrees of freedom are inlclude to account for the rotational state of the particles. The associated kinetic energy includes a rotational term KE_rotational = 1/2 I w^2, where I is the moment of inertia and w is the angular velocity.

Restrictions:

Can only be used if LAMMPS was built with the "dipole" package.

Related commands:

compute temp

Default: none